Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2008-4059

Overview

Vulnerability Score 7.5 7.5
CVE Id CVE-2008-4059
Last Modified 25 Aug 2013 01:50:15
Published 24 Sep 2008 04:37:04
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2008-4059

Summary

The XPConnect component in Mozilla Firefox before 2.0.0.17 allows remote attackers to "pollute XPCNativeWrappers" and execute arbitrary code with chrome privileges via vectors related to a SCRIPT element.

Vulnerable Systems

Application

  • Mozilla Firefox

  • Mozilla Firefox 0.10

  • Mozilla Firefox 0.10.1

  • Mozilla Firefox 0.8

  • Mozilla Firefox 0.9

  • Mozilla Firefox 0.9 Rc

  • Mozilla Firefox 0.9.1

  • Mozilla Firefox 0.9.2

  • Mozilla Firefox 0.9.3

  • Mozilla Firefox 1.0

  • Mozilla Firefox 1.0.1

  • Mozilla Firefox 1.0.2

  • Mozilla Firefox 1.0.3

  • Mozilla Firefox 1.0.4

  • Mozilla Firefox 1.0.5

  • Mozilla Firefox 1.0.6

  • Mozilla Firefox 1.0.7

  • Mozilla Firefox 1.0.8

  • Mozilla Firefox 1.5

  • Mozilla Firefox 1.5.0.1

  • Mozilla Firefox 1.5.0.10

  • Mozilla Firefox 1.5.0.11

  • Mozilla Firefox 1.5.0.12

  • Mozilla Firefox 1.5.0.2

  • Mozilla Firefox 1.5.0.3

  • Mozilla Firefox 1.5.0.4

  • Mozilla Firefox 1.5.0.5

  • Mozilla Firefox 1.5.0.6

  • Mozilla Firefox 1.5.0.7

  • Mozilla Firefox 1.5.0.8

  • Mozilla Firefox 1.5.0.9

  • Mozilla Firefox 1.5.1

  • Mozilla Firefox 1.5.2

  • Mozilla Firefox 1.5.3

  • Mozilla Firefox 1.5.4

  • Mozilla Firefox 1.5.5

  • Mozilla Firefox 1.5.6

  • Mozilla Firefox 1.5.7

  • Mozilla Firefox 1.5.8

  • Mozilla Firefox 1.8

  • Mozilla Firefox 2.0

  • Mozilla Firefox 2.0.0.1

  • Mozilla Firefox 2.0.0.10

  • Mozilla Firefox 2.0.0.11

  • Mozilla Firefox 2.0.0.12

  • Mozilla Firefox 2.0.0.13

  • Mozilla Firefox 2.0.0.14

  • Mozilla Firefox 2.0.0.15

  • Mozilla Firefox 2.0.0.16

  • Mozilla Firefox 2.0.0.17

  • Mozilla Firefox 2.0.0.2

  • Mozilla Firefox 2.0.0.3

  • Mozilla Firefox 2.0.0.4

  • Mozilla Firefox 2.0.0.5

  • Mozilla Firefox 2.0.0.6

  • Mozilla Firefox 2.0.0.7

  • Mozilla Firefox 2.0.0.8

  • Mozilla Firefox 2.0.0.9


References

CONFIRM - https://bugzilla.mozilla.org/show_bug.cgi?id=419848

FEDORA - FEDORA-2008-8429

FEDORA - FEDORA-2008-8401

XF - firefox2-xpcnativewrappers-code-execution(45352)

VUPEN - ADV-2009-0977

VUPEN - ADV-2008-2661

UBUNTU - USN-647-1

UBUNTU - USN-645-2

UBUNTU - USN-645-1

SECTRACK - 1020915

BID - 31346

REDHAT - RHSA-2008:0908

REDHAT - RHSA-2008:0882

CONFIRM - http://www.mozilla.org/security/announce/2008/mfsa2008-41.html

MANDRIVA - MDVSA-2008:206

MANDRIVA - MDVSA-2008:205

DEBIAN - DSA-1697

DEBIAN - DSA-1696

DEBIAN - DSA-1669

SUNALERT - 256408

SLACKWARE - SSA:2008-270-01

SLACKWARE - SSA:2008-269-01

SLACKWARE - SSA:2008-269-02

SECUNIA - 34501

SECUNIA - 33434

SECUNIA - 33433

SECUNIA - 32845

SECUNIA - 32144

SECUNIA - 32092

SECUNIA - 32082

SECUNIA - 32044

SECUNIA - 32042

SECUNIA - 32025

SECUNIA - 32012

SECUNIA - 32010

SECUNIA - 32007

SECUNIA - 31985

SECUNIA - 31984

SUSE - SUSE-SA:2008:050

CONFIRM - http://download.novell.com/Download?buildid=WZXONb-tqBw~

DEBIAN - DSA-1649

SECUNIA - 32196

SECUNIA - 32185

Related Patches

Novell SUSE 2008:5654 gecko-sdk security update for SLE 10 i586


Last Updated: 27 May 2016 10:49:44